<?php
/**
 * N3Download (Nesquik Download)
 *
 * Система представляет собой скрипт загруз-центра
 * Система написана на PHP, хранящая данные в БД MYSQL
 * Высокая скорость работы скрипта, устойчивость к нагрузкам
 *
 * Автор: N3squ1k (Несквик)
 * ICQ: 551-228
 *
 * Вы не имеете право продавать скрипта
 * Вы не имеете право вылаживать скрипта
 * Все права на данный скрипт пренадлежат его автору
 *
 * Все права защищены © 2010
 */

if (file_exists('../__incfiles/core.php')) {
	require_once('../__incfiles/core.php');
} else {
	exit('Немогу подключить системный файл');
}

if (!$admin) header('Location: '.ADMIN);

require_header('Загрузка файлов');

if (isset($_POST['submit'])) {

	$error = '';
	
	if (empty($_POST['path'])) {
		$error .= 'Нет конечного пути!';
	}
	
	if ($error) {
		echo '<div class="error">'.$error.'</div>';
	} else {
	
		$newpath = trim($_POST['path']);
	
		$count = $false = 0;
		
		define('TIMESTART', microtime(true));
		
		for ($i = 0; $i < count($_FILES['file']['name']); $i ++) {
			
			if (empty($_FILES['file']['name'][$i])) {
				continue;
			}
		
			$name = $_FILES['file']['name'][$i];
			
			$ex = pathinfo($name);
			$ext = strtolower($ex['extension']);
			$to = '../'.$newpath . $name;
			
			if ($ext == 'php' || $ext == 'php3' || $ext == 'php4' || $ext == 'php5' || $ext == 'php6' || $ext == 'phtml' || $ext == 'cgi' || $ext == 'asp' || $ext == 'js' || $ext == 'phtm' || $ext == 'py' || $ext == 'pl') {
				echo '<div class="error">Файлы данного типо загружать запрещено!</div>';
			} else {
			
				if (!file_exists($to)) {

					if (move_uploaded_file($_FILES['file']['tmp_name'][$i], $to)) {
						$uptime = filectime($to);
						
						$ex = pathinfo($to);
						$ex = $ex['extension'];
						
						$name = str_replace('.'.$ex, '' ,basename($to));
						$size = filesize($to);
						$infolder = dirname($to).'/';
						
						if (strpos($name, '!') !== false) {
							$name = translate1($name);
						} else {
							$name = translate2($name);
						}
						
						mysql_query("INSERT INTO `".SQLprefixTable."files` SET `path`='".mysql_real_escape_string(str_replace('../', '', $to))."', `infolder`='".mysql_real_escape_string(str_replace('../', '', $infolder))."', `name`='".mysql_real_escape_string($name)."', `size`='".$size."', `dateupload`='".$uptime."'");
						
						$count ++;
					
					} else {
						$false ++;
					}
			
				}
			
			}
		
		}
		
		if ($count == 0) {
			header('Location: '.ADMIN.'/upload.xhtml');
		} else {
		
			echo '<div class="menu">
			Загружено файлов: '.$count.'<br/>
			Ошибка при загрузке: '.$false.'<br/>
			Страница создана за: '.round(microtime(true) - TIMESTART, 4).' сек
			</div>';
		
		}
	
	}


	echo '<div class="block"><a href="'.ADMIN.'/upload.xhtml">Загрузить файл</a></div>';
	exit(require_footer());

} else {

	$sql = mysql_query("SELECT (`path`) FROM `".SQLprefixTable."files` WHERE `size`='0'");

	echo '<form action="" method="post" enctype="multipart/form-data">
	<div class="menu" id="fl">
	<b>Сохранить в:</b><br/><select name="path">
	<option value="'.htmlspecialchars($set['path']).'/" selected="selected">./</option>';
	
	while ($row = mysql_fetch_assoc($sql)) {
		$name = str_replace($set['path'].'/', '', $row['path']);
		$path = explode('/', $name);
		
		$option = '';
		
		unset($path[count($path) - 1]);
			
		foreach ($path as $value) {
			if (strpos($value, '!') !== false) {
				$name = translate1($value);
			} else {
				$name = $value;
			}
			$option  = $option . $name.'/';
		}
			
		echo '<option value="'.htmlspecialchars($row['path']).'">'.$option.'</option>';
		
	}
	
	echo '</select><br/>
	<b>Файлы для загрузки:</b> [<a href="#" onclick="javascript:addfile();">+</a>]<br/>
	<input name="file[]" type="file"><br/>
	<input name="file[]" type="file"><br/>
	<input name="file[]" type="file"><br/>
	<input name="file[]" type="file"><br/>
	<input name="file[]" type="file"><br/>
	<input name="file[]" type="file"><br/>
	<input name="file[]" type="file"><br/>
	<input name="file[]" type="file"><br/>
	</div>
	<div class="menu">
	<small>Максимальный размер загружаемых файлов не должен превышать '.ini_get('upload_max_filesize').'!</small><br/>
	<input type="submit" name="submit" value="Загрузить файлы"/>
	</div>
	</form>';
}

echo '<div class="block"><a href="'.ADMIN.'">Админ-панель</a></div>';
require_footer();
?>